function err=verif_input(obj)
%verif_input Input check
%% ==============================================
global input_error;
err=0;
if ~isempty(input_error) && ~isempty(fieldnames(input_error))
    fnames=fieldnames(input_error);
    leserreurs ='';
    for i=1:length(fnames)
        leserreurs =[ leserreurs , ' ', input_error.(fnames{i}),'; '];
    end
    errordlg(['Please, fix your preceeding errors on ', leserreurs], ...
        'Bad Input','modal')
    err=1;
    set(obj,'interruptible','off','userdata',0)
    return
end
end % fin verif_input
